[Overview][Constants][Types][Classes][Index] | Reference for unit 'syncobjs' (#fcl)

# TEventObject.ResetEvent

Reset the event

## Declaration

Source position: syncobjs.pp line 68

`public procedure TEventObject.ResetEvent;`

## Description

ResetEvent turns off the event. Any WaitFor operation will suspend the calling thread.

## See also

SetEvent |  | Set the event
WaitFor |  | Wait for the event to be set.

Documentation generated on: Feb 26 2014